Skip to navigation

Update a run

Update a run

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

assay_run_idstringRequired
ID of the Run to be updated

Request

This endpoint expects an object.
equipmentIdstring or nullOptional

The equipment that the assay run should be associated with. This attribute is only supported if the equipment feature is enabled for the tenant; otherwise, supplying it leads to a 400 request error

fieldsmap from strings to objectsOptional

Response

OK
apiURLstringOptionalRead-onlyformat: "uri"
The canonical url of the Run in the API.
archiveRecordobject or nullOptional
createdAtstringOptional
creatorobjectOptional
entryIdstring or nullOptional
equipmentIdstring or nullOptional
fieldsmap from strings to objectsOptional
idstringOptional
isReviewedbooleanOptional
projectIdstring or nullOptional
schemaobject or nullOptional
v3IdstringOptionalRead-only
V3 identifier for the run
validationCommentstring or nullOptional
validationStatusenumOptional
Must be either VALID or INVALID
Allowed values:

Errors

400
Bad Request Error